=head1 NAME

Gtk2::WebKit::WebFrame

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::WebKit::WebFrame



=cut


=head1 METHODS

=head2 webframe = Gtk2::WebKit::WebFrame-E<gt>B<new> ($view)

=over

=item * $view (Gtk2::WebKit::WebView) 

=back

=head2 webdatasource = $frame-E<gt>B<get_data_source> 

=head2 webframe = $frame-E<gt>B<find_frame> ($name)

=over

=item * $name (string) 

=back

=head2 policytype = $frame-E<gt>B<get_horizontal_scrollbar_policy> 

=head2 $frame-E<gt>B<load_alternate_string> ($content, $base_url, $unreachable_url)

=over

=item * $content (string) 

=item * $base_url (string) 

=item * $unreachable_url (string) 

=back

=head2 $frame-E<gt>B<load_request> ($request)

=over

=item * $request (Gtk2::WebKit::NetworkRequest) 

=back

=head2 loadstatus = $frame-E<gt>B<get_load_status> 

=head2 $frame-E<gt>B<load_string> ($content, $mime_type, $encoding, $base_uri)

=over

=item * $content (string) 

=item * $mime_type (string) 

=item * $encoding (string) 

=item * $base_uri (string) 

=back

=head2 $frame-E<gt>B<load_uri> ($uri)

=over

=item * $uri (string) 

=back

=head2 string = $frame-E<gt>B<get_name> 

=head2 networkresponse = $frame-E<gt>B<get_network_response> 

=head2 webframe = $frame-E<gt>B<get_parent> 

=head2 $frame-E<gt>B<print> 

=head2 printoperationresult = $frame-E<gt>B<print_full> ($operation, $action)

=over

=item * $operation (Gtk2::PrintOperation) 

=item * $action (Gtk2::PrintOperationAction) 

=back

=head2 webdatasource = $frame-E<gt>B<get_provisional_data_source> 

=head2 $frame-E<gt>B<reload> 

=head2 securityorigin = $frame-E<gt>B<get_security_origin> 

=head2 $frame-E<gt>B<stop_loading> 

=head2 string = $frame-E<gt>B<get_title> 

=head2 string = $frame-E<gt>B<get_uri> 

=head2 policytype = $frame-E<gt>B<get_vertical_scrollbar_policy> 

=head2 webview = $frame-E<gt>B<get_web_view> 



=cut


=head1 PROPERTIES

=over

=item 'horizontal-scrollbar-policy' (Gtk2::PolicyType : default "automatic" : readable / private)

Determines the current policy for the horizontal scrollbar of the frame.

=item 'load-status' (Gtk2::WebKit::LoadStatus : default "finished" : readable / private)

Determines the current status of the load

=item 'name' (string : default undef : readable / private)

The name of the frame

=item 'title' (string : default undef : readable / private)

The document title of the frame

=item 'uri' (string : default undef : readable / private)

The current URI of the contents displayed by the frame

=item 'vertical-scrollbar-policy' (Gtk2::PolicyType : default "automatic" : readable / private)

Determines the current policy for the vertical scrollbar of the frame.

=back



=cut


=head1 SIGNALS

=over

=item B<cleared> (Gtk2::WebKit::WebFrame)

=item B<hovering-over-link> (Gtk2::WebKit::WebFrame, string, string)

=item B<insecure-content-run> (Gtk2::WebKit::WebFrame, Gtk2::WebKit::SecurityOrigin, string)

=item B<load-committed> (Gtk2::WebKit::WebFrame)

=item B<resource-content-length-received> (Gtk2::WebKit::WebFrame, Gtk2::WebKit::WebResource, integer)

=item B<resource-load-failed> (Gtk2::WebKit::WebFrame, Gtk2::WebKit::WebResource, gpointer)

=item B<resource-load-finished> (Gtk2::WebKit::WebFrame, Gtk2::WebKit::WebResource)

=item B<resource-request-starting> (Gtk2::WebKit::WebFrame, Gtk2::WebKit::WebResource, Gtk2::WebKit::NetworkRequest, Gtk2::WebKit::NetworkResponse)

=item B<resource-response-received> (Gtk2::WebKit::WebFrame, Gtk2::WebKit::WebResource, Gtk2::WebKit::NetworkResponse)

=item boolean = B<scrollbars-policy-changed> (Gtk2::WebKit::WebFrame)

=item B<title-changed> (Gtk2::WebKit::WebFrame, string)

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::PolicyType

=over

=item * 'always' / 'GTK_POLICY_ALWAYS'

=item * 'automatic' / 'GTK_POLICY_AUTOMATIC'

=item * 'never' / 'GTK_POLICY_NEVER'

=back


=head2 enum Gtk2::PrintOperationAction

=over

=item * 'print-dialog' / 'GTK_PRINT_OPERATION_ACTION_PRINT_DIALOG'

=item * 'print' / 'GTK_PRINT_OPERATION_ACTION_PRINT'

=item * 'preview' / 'GTK_PRINT_OPERATION_ACTION_PREVIEW'

=item * 'export' / 'GTK_PRINT_OPERATION_ACTION_EXPORT'

=back


=head2 enum Gtk2::PrintOperationResult

=over

=item * 'error' / 'GTK_PRINT_OPERATION_RESULT_ERROR'

=item * 'apply' / 'GTK_PRINT_OPERATION_RESULT_APPLY'

=item * 'cancel' / 'GTK_PRINT_OPERATION_RESULT_CANCEL'

=item * 'in-progress' / 'GTK_PRINT_OPERATION_RESULT_IN_PROGRESS'

=back


=head2 enum Gtk2::WebKit::LoadStatus

=over

=item * 'provisional' / 'WEBKIT_LOAD_PROVISIONAL'

=item * 'committed' / 'WEBKIT_LOAD_COMMITTED'

=item * 'finished' / 'WEBKIT_LOAD_FINISHED'

=item * 'first-visually-non-empty-layout' / 'WEBKIT_LOAD_FIRST_VISUALLY_NON_EMPTY_LAYOUT'

=item * 'failed' / 'WEBKIT_LOAD_FAILED'

=back




=cut


=head1 SEE ALSO

L<Gtk2::WebKit>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2008, Florian Ragwitz


=cut

